import { Component, Input, Output, EventEmitter } from '@angular/core';
import { Spell } from 'src/interfaces/spell';
import { TranslatorService } from 'src/services/translator/translator.service';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'spellcard',
  templateUrl: './spellcard.component.html',
  styleUrl: './spellcard.component.scss',
})
export class SpellcardComponent {
  @Input() public spell!: Spell;

  public constructor(public translate: TranslateService) {}

  public setBackupImage(event: any): void {
    event.target.src = 'assets/images/spells/backup.jpg';
  }
}
